Cyberduck Mountain Duck CLI

#9631 closed defect (worksforme)

AWS S3 - uploading file starting with "03C" ruin folder listing and give errors

Reported by: Guido Owned by:
Priority: normal Milestone: 5.1
Component: s3 Version: 5.0.3
Severity: major Keywords: s3 03c
Cc: Architecture: Intel
Platform: Windows 10

Description

the file "03C.mov" appears in parent folders with 0kb size when listing the contents of an S3 bucket/folder. since the file is not actually on S3 according to the AWS console Cyberduck gives errors when downloading files.

version 5.1.0 (20676) Windows 2012 Server

Attachments (2)

03c.png (15.6 KB) - added by Guido on Jul 25, 2016 at 12:36:30 PM.
empty file 03C.mov in parent folder
Screenshot 2016-07-26 09.28.25.png (38.1 KB) - added by Guido on Jul 26, 2016 at 7:36:55 AM.
impossible to delete

Download all attachments as: .zip

Change History (5)

Changed on Jul 25, 2016 at 12:36:30 PM by Guido

empty file 03C.mov in parent folder

comment:1 Changed on Jul 25, 2016 at 3:29:26 PM by dkocher

  • Milestone set to 5.1
  • Resolution set to fixed
  • Status changed from new to closed
  • Version set to 5.0.3

This is an incomplete multipart upload displayed. Fixed in r21127 to display these as hidden files only. You can delete the file to cancel the multipart upload.

Documentation in Unfinished multipart uploads.

comment:2 Changed on Jul 26, 2016 at 7:36:20 AM by Guido

  • Resolution fixed deleted
  • Status changed from closed to reopened

Perhaps it seems like an multipart upload, but I cannot delete it!

  • The file is displayed in the parent of where the original is
  • We cannot delete it, AWS respsonse is that the file does not exists
  • We cannot see the file in any other application or in AWS S3 Console
  • The file is not hidden - it is still displayed, even when hiding the hidden files
  • This empty 03C.mov file is displayed in all parenting folders back to the root of the bucket
  • We have more files in the root displayed that are not deleteable

Changed on Jul 26, 2016 at 7:36:55 AM by Guido

impossible to delete

comment:3 Changed on Jul 26, 2016 at 8:06:22 AM by Guido

  • Resolution set to worksforme
  • Status changed from reopened to closed

You where right!

By using the aws command line interface I could list the files as incomplete multiparts and delete them by hand manually.

aws s3api list-multipart-uploads --bucket <yourbucket>

and to delete

aws s3api abort-multipart-upload --bucket rednun-templates-us-east-1 --key <key> --upload-id <id>

It happens a bit too often for comfort and should be another ticket why this happened in the first place, but at least we have a solution! :)

Note: See TracTickets for help on using tickets.
swiss made software